summaryrefslogtreecommitdiff
path: root/tests/tail-2/big-4gb
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/big-4gb')
-rwxr-xr-xtests/tail-2/big-4gb4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/tail-2/big-4gb b/tests/tail-2/big-4gb
index 5f94cb68f..b0ca79d28 100755
--- a/tests/tail-2/big-4gb
+++ b/tests/tail-2/big-4gb
@@ -2,7 +2,7 @@
# Demonstrate a bug in `tail -cN' when operating on files of size 4G and larger
# Fixed in coreutils-4.5.2.
-# Copyright (C) 2002, 2003 Free Software Foundation, Inc.
+# Copyright (C) 2002, 2003, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -28,7 +28,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0